package com.lutao.cloud.admin.service;

import com.lutao.cloud.admin.api.dto.PhoneDTO;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.common.security.service.CloudUser;

/**

 * @date 2018/11/14
 */
public interface MobileService{

	/**
	 * 发送手机验证码
	 * @param mobile mobile
	 * @return code
	 */
	MessageInfo<Boolean> sendSmsCode(String mobile);

	/**
	 * 发送验证码
	 * @param phoneDTO
	 * @return
	 */
	MessageInfo verificode(PhoneDTO phoneDTO,CloudUser cloudUser);

	/**
	 * 获取验证码key
	 * @param contactsPhone
	 * @param cloudUser
	 * @return
	 */
	String getVerificodeKey(String contactsPhone, CloudUser cloudUser);

	/**
	 * 注册手机发验证码
	 * @return
	 */
	MessageInfo userVerificode(CloudUser cloudUser);
}
